Subject: GLib

From: Zganyaiko Dmitry <[email-masked]>
Date: Sun, 15 May 2011 19:36:17 +0300

Hi all!
My question is very simple:
why git doesn't use glib as base C framework? For example, in git there
are xmalloc, xrealloc functions that duplicates glib functionality, and
these routines are only small piece of all duplicated code that already
exists in glib.

So, why git was designed and is developing now without mature stable C
library like glib?

Best regards,
Dmitry.

P.S.
My question is not a joke or smth like that. It's really interesting for
me.